Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036736
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] I. Performancemajorhave not tried2017-08-29 12:322017-09-21 16:49
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisioncbc952986b64
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036736: Make OB reports read-only pool "compatible"

DescriptionThe main objective is to adapt reports to use the read-only pool. Few of them are listed as below.
1. Balance Sheet and PL Struture
2. General Ledger Report
3. Trial Balance
4. Various Dimensional Reports

More information is available here
http://wiki.openbravo.com/wiki/Projects:Read_Only_Pool [^]
http://wiki.openbravo.com/wiki/Openbravo.properties#Read-Only_Pool [^]
http://wiki.openbravo.com/wiki/Projects:Read_Only_Pool_Manual_Reports [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098706)
hgbot (developer)
2017-08-29 16:11

Repository: erp/devel/pi
Changeset: cbc952986b646d8ed269d25c8a6279cc77d9a935
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Aug 28 21:49:52 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/cbc952986b646d8ed269d25c8a6279cc77d9a935 [^]

Fixes issue 36736: Adapt read only pool connection provider in ob reports

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/ReportReconciliation.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReport.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
M modules/org.openbravo.reports.ordersawaitingdelivery/src/org/openbravo/reports/ordersawaitingdelivery/erpCommon/ad_reports/ReportOrderNotShipped.java
M src/org/openbravo/common/actionhandler/CashflowForecastReportActionHandler.java
M src/org/openbravo/erpCommon/ad_reports/AgingDao.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/ad_reports/MInOutTraceReports.java
M src/org/openbravo/erpCommon/ad_reports/ReportAgingBalance.java
M src/org/openbravo/erpCommon/ad_reports/ReportAssetDepreciationSchedule.java
M src/org/openbravo/erpCommon/ad_reports/ReportBudgetExportExcel.java
M src/org/openbravo/erpCommon/ad_reports/ReportBudgetGenerateExcel.java
M src/org/openbravo/erpCommon/ad_reports/ReportExpense.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournalDetail.java
M src/org/openbravo/erpCommon/ad_reports/ReportGuaranteeDateJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceDiscountJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoicesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialTransactionEditionJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportNotPosted.java
M src/org/openbravo/erpCommon/ad_reports/ReportOffer.java
M src/org/openbravo/erpCommon/ad_reports/ReportOrderNotInvoiceJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportParetoProduct.java
M src/org/openbravo/erpCommon/ad_reports/ReportPendingProductionJr.java
M src/org/openbravo/erpCommon/ad_reports/ReportPricelist.java
M src/org/openbravo/erpCommon/ad_reports/ReportProductMovement.java
M src/org/openbravo/erpCommon/ad_reports/ReportProductionCost.java
M src/org/openbravo/erpCommon/ad_reports/ReportProductionJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportProductionRunJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProfitabilityJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProgress.java
M src/org/openbravo/erpCommon/ad_reports/ReportPurchaseDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportSalesDimensionalAnalyzeJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderInvoicedJasper.java
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderProvidedJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportShipmentDimensionalAnalyzeJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportShipmentEditionJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportShipper.java
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
M src/org/openbravo/erpCommon/ad_reports/ReportWarehouseControl.java
M src/org/openbravo/erpCommon/ad_reports/ReportWarehousePartnerJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementJR.java
M src/org/openbravo/erpReports/ReportRegisterLineJR.jrxml
M src/org/openbravo/erpReports/ReportTaxPaymentJR.java
M src/org/openbravo/erpReports/ReportVatRegisterJR.java
M src/org/openbravo/erpReports/RptC_Bpartner.java
M src/org/openbravo/erpReports/RptMA_CCP_Group.java
M src/org/openbravo/erpReports/RptMA_CCP_Measures.java
M src/org/openbravo/erpReports/RptMA_ProcessPlan.java
M src/org/openbravo/erpReports/RptM_Requisition.java
---
(0098707)
hgbot (developer)
2017-08-29 16:11

Repository: erp/devel/pi
Changeset: 53dd072df83485cb1daa0fa7926c07d31db0bbbc
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Aug 29 16:03:12 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/53dd072df83485cb1daa0fa7926c07d31db0bbbc [^]

Related to issue 36736: Use read only pool also in Aging reports

---
M src/org/openbravo/common/actionhandler/AgingBalanceReportActionHandler.java
---
(0098708)
hgbot (developer)
2017-08-29 16:11

Repository: erp/devel/pi
Changeset: 90a1381fae84ccc4d4821166a592e5369d3f220c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Aug 29 16:10:25 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/90a1381fae84ccc4d4821166a592e5369d3f220c [^]

Related to issue 36736: Revert changes in reports launched after creating a document
(post document, print document, etc.)

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/ReportReconciliation.java
M src/org/openbravo/erpCommon/ad_reports/ReportBudgetExportExcel.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournalDetail.java
M src/org/openbravo/erpReports/ReportRegisterLineJR.jrxml
M src/org/openbravo/erpReports/ReportTaxPaymentJR.java
M src/org/openbravo/erpReports/ReportVatRegisterJR.java
M src/org/openbravo/erpReports/RptC_Bpartner.java
M src/org/openbravo/erpReports/RptMA_CCP_Group.java
M src/org/openbravo/erpReports/RptMA_CCP_Measures.java
M src/org/openbravo/erpReports/RptMA_ProcessPlan.java
M src/org/openbravo/erpReports/RptM_Requisition.java
---
(0098974)
hgbot (developer)
2017-09-12 10:59

Repository: erp/devel/pi
Changeset: 97588079b0b3ebbbee67f2de9af9dc88b4d0dc4d
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 11 18:52:12 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/97588079b0b3ebbbee67f2de9af9dc88b4d0dc4d [^]

Related to issue 36736: Apply again changes in Journal Entries Report

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournalDetail.java
---
(0098975)
hgbot (developer)
2017-09-12 10:59

Repository: erp/devel/pi
Changeset: 89a723abed26867bb2d9908774740ec0791268a6
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 12 10:18:16 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/89a723abed26867bb2d9908774740ec0791268a6 [^]

Related to issue 36736: Use normal db in direct Journal Entries Report

Use normal db in Journal Entries Report only when it is launched just after posting a document.

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournalDetail.java
---
(0098977)
aferraz (developer)
2017-09-12 11:01

Code review OK
(0098979)
aferraz (developer)
2017-09-12 11:23
edited on: 2017-09-12 11:55

https://docs.google.com/a/openbravo.com/spreadsheets/d/1HutwqAKrth1CtZF-uOLkJ_Gxby6Sv9ePCeMskLQkaiE/edit?usp=sharing [^]

(0099340)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099341)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099342)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099379)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099380)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-29 12:32 AtulOpenbravo New Issue
2017-08-29 12:32 AtulOpenbravo Assigned To => platform
2017-08-29 12:32 AtulOpenbravo Modules => Core
2017-08-29 12:32 AtulOpenbravo Triggers an Emergency Pack => No
2017-08-29 12:32 AtulOpenbravo Summary Make all OB reports read-only pool "compatible" => Make OB reports read-only pool "compatible"
2017-08-29 12:33 AtulOpenbravo Assigned To platform => Triage Finance
2017-08-29 12:34 AtulOpenbravo Description Updated View Revisions
2017-08-29 16:11 hgbot Checkin
2017-08-29 16:11 hgbot Note Added: 0098706
2017-08-29 16:11 hgbot Status new => resolved
2017-08-29 16:11 hgbot Resolution open => fixed
2017-08-29 16:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cbc952986b646d8ed269d25c8a6279cc77d9a935 [^]
2017-08-29 16:11 hgbot Checkin
2017-08-29 16:11 hgbot Note Added: 0098707
2017-08-29 16:11 hgbot Checkin
2017-08-29 16:11 hgbot Note Added: 0098708
2017-08-29 16:12 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-09-01 13:54 aferraz Description Updated View Revisions
2017-09-12 10:59 hgbot Checkin
2017-09-12 10:59 hgbot Note Added: 0098974
2017-09-12 10:59 hgbot Checkin
2017-09-12 10:59 hgbot Note Added: 0098975
2017-09-12 11:01 aferraz Review Assigned To => aferraz
2017-09-12 11:01 aferraz Note Added: 0098977
2017-09-12 11:01 aferraz Status resolved => closed
2017-09-12 11:01 aferraz Fixed in Version => 3.0PR17Q4
2017-09-12 11:23 aferraz Note Added: 0098979
2017-09-12 11:55 aferraz Note Edited: 0098979 View Revisions
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099340
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099341
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099342
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099379
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099380


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker